Generated from the live OpenAPI document — 2026-11-13.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
GET /api/platform/billing/overview 200 PlatformBillingOverviewDto
GET /api/platform/billing/tenants/{id} 200 PlatformTenantBillingDto

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

PlatformBillingOverviewDto

PropertyTypeDescription
tenantCount int32
activeSubscriptionCount int32
subscriptionsByTier PlatformSubscriptionGroupDto[]
paidInvoiceCount int32
paidInvoiceTotalCents int64
activeBoostCount int32
callsLast30d int32
spendUsdLast30d double

PlatformTenantBillingDto

PropertyTypeDescription
tenantId int64
tenantName string
plan TenantPlan
stripeCustomerId null,string
subscriptionExpiresAtUtc date-time
subscriptions PlatformSubscriptionDto[]
invoices PlatformInvoiceDto[]
boosts PlatformBoostDto[]
events PlatformBillingEventDto[]
paidInvoiceCount int32
paidInvoiceTotalCents int64
callsLast30d int32
spendUsdLast30d double